引用.H文件



  • 请问我的求解器编译在v2006版本中,想要引用extend4.1中关于耦合的一些文件,在options中应该如何添加跨版本的文件?



  • 这个问题我前几天刚刚解决
    把fm中想编译的文件放到V2006对应的文件位置,之后在options中正常编译就行

    EXE_INC = \
        -I$(LIB_SRC)/finiteVolume/lnInclude \
        -I$(LIB_SRC)/meshTools/lnInclude
    LIB_LIBS = \
        -lfiniteVolume \
         -lmeshTools \
    

    如果报错缺文件的话可以直接搜索该文件所在位置,之后在INC里添加就可以
    但是耦合的文件与V2006是否存在兼容性的问题就不清楚了,因为可能底层代码架构有区别



  • @冠竹
    老师,您好。是按照这两步的操作进行吗:
    1.把相关的文件先从extend4.1中复制到v2006版本中;
    2.修改options,添加相关的链接
    我之前是这么想的,但是觉得第一步有点麻烦,有时候一个文件又涉及到很多其他文件,但是不知道有没有语句可以直接实现跨版本的引用



  • 我不是老师,也是一个学生,哈哈
    对于第一步我一般的操作就是把一整个相关文件夹复制过去,这样所有的文件就都齐了,之后再编译就行
    对于你说的可以实现跨版本引用的语句,这个我没了解过,可能其他大佬能有所了解,我还是个小菜鸡:jingya:



  • @冠竹 嗯嗯好哒 感谢感谢~我先操作一下


Log in to reply
 


CFD中文网 | 东岳流体学术 | 东岳流体商业 | 吉ICP备20003622号-1